Bug 1677677 - [V2V] Can not select dual source clusters while selecting infra map
Summary: [V2V] Can not select dual source clusters while selecting infra map
Keywords:
Status: POST
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: V2V
Version: 5.10.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.11.z
Assignee: Mike Turley
QA Contact: Yadnyawalk Tale
Red Hat CloudForms Documentation
URL:
Whiteboard: v2v
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-15 15:02 UTC by Yadnyawalk Tale
Modified: 2019-10-14 03:20 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Category: Bug
Cloudforms Team: V2V


Attachments (Terms of Use)
empty_cluster.mp4 (217.93 KB, video/mp4)
2019-02-15 15:02 UTC, Yadnyawalk Tale
no flags Details
empty_datastore.mp4 (578.55 KB, video/mp4)
2019-02-15 15:03 UTC, Yadnyawalk Tale
no flags Details

Description Yadnyawalk Tale 2019-02-15 15:02:42 UTC
Created attachment 1535224 [details]
empty_cluster.mp4

Description of problem:

1. Enhance error reporting for empty clusters - If your cluster is empty then it should tell in datastore that no 'datastore is present' instead of 'All source datastores have been mapped' (first video)

2. Clusters selections issues on map - Lets say if you two clusters X and Y (Y is empty), and you selected both at source, click next .. found two behaviors after that at datastore selection of modal..
a. by default Y clusters get selected but despite it is empty, X's datastores shows up.
b. you will get option to select clusters but you won't find any of the datastore there on both selections. (second video)
 

Version-Release number of selected component (if applicable):
5.10.1.1.20190212171432_83eb777 


How reproducible:
100%


Additional info:
Used QE's vsphere60-ims

Comment 1 Yadnyawalk Tale 2019-02-15 15:03:27 UTC
Created attachment 1535225 [details]
empty_datastore.mp4

Comment 2 Dave Johnson 2019-02-15 17:01:15 UTC
Please assess the impact of this issue and update the severity accordingly.  Please refer to https://bugzilla.redhat.com/page.cgi?id=fields.html#bug_severity for a reminder on each severity's definition.

If it's something like a tracker bug where it doesn't matter, please set the severity to Low.

Comment 3 Yadnyawalk Tale 2019-02-15 17:38:19 UTC
Wrongly placed priority instead of severity.

Comment 5 Fabien Dupont 2019-06-19 14:12:28 UTC
@Mike, do you think it's still an issue in recent versions ? If so, can you assess the complexity of fixing it, please ?

Comment 6 Mike Turley 2019-06-19 15:53:50 UTC
@YTale, do you have an appliance I can access which is in a state where this problem can be reproduced? I would like to get a database dump from that appliance to test against locally.

This appears to be non-trivial, it may be an issue related to how we handle filtering datastores, and Vince also said he'd like to mock up improved error messaging for this case. So I think we need to move this to 5.11 in the interest of time.

Comment 8 Fabien Dupont 2019-07-30 07:54:15 UTC
@mike, any news on this ? Did Vince and you revisit the error message display for this case ?

Comment 9 Mike Turley 2019-07-30 16:39:28 UTC
I was unable to reproduce this error.. @YTale, can you provide access to an appliance where this error is occurring? I'll need a dump of its database to develop against.

I don't think Vince and I revisited this from a design perspective either. I'm guessing it needs to go to 5.11.z.

Comment 10 Mike Turley 2019-09-13 21:11:55 UTC
YTale, for the error reporting piece of this, I'd still like to get access to an appliance which is showing that problem so I can develop a fix against real data.

Comment 15 Mike Turley 2019-09-18 17:27:03 UTC
This bug is fixed by https://github.com/ManageIQ/manageiq-v2v/pull/1033 which has been merged to master.


Note You need to log in before you can comment on or make changes to this bug.